<!---Reset SQL Server tables--->

<cffunction name="randomCC" output="false" returntype="numeric">
	<cfset var ccnum = "">
	<cfset var i = 0>
	<cfloop from="1" to="16" index="i">
		<cfset ccnum = ccnum & randrange(1,9)>
	</cfloop>
	<cfreturn ccnum/>
</cffunction>
<cffunction name="randomSKU" output="false" returntype="string">
	<cfset var sku = "">
	<cfset var i = 0>
	<cfloop from="1" to="8" index="i">
		<cfset sku = sku & randrange(1,9)>
		<cfif i eq 4 or i eq 7>
			<cfset sku = sku & "-">
		</cfif>
	</cfloop>
	<cfreturn sku/>
</cffunction>

<cfset names = ["Manny Acosta","Jeff Bennett","Blaine Boyer","Jorge Campillo","Tom Glavine","Tim Hudson","Jair Jurrjens","Peter Moylan","Will Ohman","Chris Resop","Royce Ring","John Smoltz"]>
<cfset images = ["cf-vol1","cf-vol2","cf-vol3","pci-compliance","pci-levels"]>
<cfset products = ["ColdFusion Web Application Kit, Vol 1","ColdFusion Web Application Kit, Vol 2","ColdFusion Web Application Kit, Vol 3","PCI Compliance","PCI for Merchant Levels 3,4,5"]>


<cfquery name="dropProducts" datasource="pcidemo">
if EXISTS (select * from INFORMATION_SCHEMA.tables where table_name = 'products')
drop table products;
</cfquery>
<cfquery name="dropComments" datasource="pcidemo">
if EXISTS (select * from INFORMATION_SCHEMA.tables where table_name = 'comments')
drop table comments;
</cfquery>
<cfquery name="dropBilling" datasource="pcidemo">
if EXISTS (select * from INFORMATION_SCHEMA.tables where table_name = 'billing')
drop table billing;
</cfquery>

<cfquery name="createProducts" datasource="pcidemo">
CREATE TABLE [dbo].[products](
	[id] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[name] [nvarchar](200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[sku] [nvarchar](200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[description] [nvarchar](4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[price] [float] NULL,
	[pic] [nvarchar](200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
</cfquery>

<cfquery name="createComments" datasource="pcidemo">
CREATE TABLE [dbo].[comments](
	[id] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[name] [nvarchar](200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[email] [nvarchar](200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[comments] [nvarchar](4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 CONSTRAINT [PK_comments] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
</cfquery>

<cfquery name="createBilling" datasource="pcidemo">
CREATE TABLE [dbo].[billing](
	[id] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[ccname] [nvarchar](200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[ccnumber] [numeric](18, 0) NULL,
	[ccmonth] [numeric](18, 0) NULL,
	[ccyear] [numeric](18, 0) NULL,
	[cvv2] [numeric](18, 0) NULL,
 CONSTRAINT [PK_billing] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
</cfquery>

<cfquery name="billing" datasource="pcidemo">
delete from billing;
<cfloop from="1" to="100" index="i">
insert into billing(ccname,ccnumber,ccmonth,ccyear,cvv2)
values('#names[randrange(1,arraylen(names))]#',#randomCC()#,#randrange(1,12)#,#randrange(8,14)#,#randrange(100,999)#);
</cfloop>
</cfquery>

<cfquery name="products" datasource="pcidemo">
delete from products;
<cfloop from="1" to="100" index="i">
insert into products(name,sku,description,price,pic)
values('#products[randrange(1,arraylen(products))]#','#randomSKU()#','Magnus es, domine, et laudabilis valde: magna virtus tua, et sapientiae tuae non est numerus. et laudare te vult homo, aliqua portio creaturae tuae, et homo circumferens mortalitem suam, circumferens testimonium peccati sui et testimonium, quia superbis resistis: et tamen laudare te vult homo, aliqua portio creaturae tuae.tu excitas, ut laudare te delectet, quia fecisti nos ad te et inquietum est cor nostrum, donec requiescat in te. da mihi, domine, scire et intellegere, utrum sit prius invocare te an laudare te, et scire te prius sit an invocare te. sed quis te invocat nesciens te? aliud enim pro alio potest invocare nesciens. an potius invocaris, ut sciaris? quomodo autem invocabunt, in quem non crediderunt? aut quomodo credent sine praedicante? et laudabunt dominum qui requirunt eum. quaerentes enim inveniunt eum et invenientes laudabunt eum. quaeram te, domine, invocans te, et invocem te credens in te: praedicatus enim es nobis. invocat te, domine, fides mea, quam dedisti mihi, quam inspirasti mihi per humanitatem filii tui, per ministerium praedicatoris tui.',#randrange(32,59)#.#randrange(01,99)#,'#images[randrange(1,arraylen(images))]#');
</cfloop>
</cfquery>

<cfquery name="comments" datasource="pcidemo">
delete from comments;
</cfquery>

Database Records reset.